package uk.ac.reload.metadata.vdexBrowser;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;

//import uk.ac.reload.ReloadUIManager;

public class VdexVocabPanel extends JPanel {


	private JEditorPane editor;

	private String mimeType = "text/html";

	String text = "";

	public VdexVocabPanel(VdexVocabNode vocabNode) {

		super();

		setLayout(new BorderLayout());

		setBackground(Color.white);

		text += "<html><head>";

		//String cssFile = ReloadDocumentHandler.VDEX_BROWSER_STYLESHEET.getAbsolutePath();
		//System.out.println("cssFile = " + cssFile);
		//text += "<link rel=\"stylesheet\" type=\"text/css\" href=\"" + cssFile + "\">";

		text += "<style type=\"text/css\">";
		text += "body { font-size: 10px; font-family: sans-serif; }";
		text += "h1 { font-size: 120%; text-align: center; } ";
		text += "strong { font-size: 100%; text-align: left; } ";
		text += "</style>";

		text += "</head><body>";

		text += "<h1>" + vocabNode.getVocabName() + "</h1>";

		text += "<p><strong>" + "Vocabulary ID:  " + "</strong>" + vocabNode.getVocabID() + "</p>";

		text += "<p><strong>" + "Language:  " + "</strong>" + vocabNode.getVocabLang() + "</p>";

		text += "</body></html>";

		editor = new JEditorPane(mimeType, text);

		editor.setEditable(false);

		add(editor, BorderLayout.CENTER);
	}

}



/*
		///////////////Using CSS for display/////////////

		text += "<html><head>";

		// text += "<link rel=\"stylesheet\" type=\"text/css\" href=\"" + ReloadDocumentHandler.VDEX_BROWSER_STYLESHEET.getAbsolutePath() + "\">";

		text += "<style type=\"text/css\">";

		text += "body { font-size: 10px; font-family: sans-serif; }";

		text += "h1 { font-size: 120%; text-align: center; } ";

		text += "strong { font-size: 100%; text-align: left; } ";

		text += "</style>";

		text += "</head><body>";

		text += "<h1>" + vocabNode.getVocabName() + "</h1>";

		text += "<p><strong>" + "Vocabulary ID:  " + "</strong>" + vocabNode.getVocabID() + "</p>";

		text += "<p><strong>" + "Language:  " + "</strong>" + vocabNode.getVocabLang() + "</p>";

		text += "</body></html>";



		///////////////Without CSS///////////////////////

		text += "<html><head></head><body>";

		text += "<p align=\"center\"><font face=\"sans-serif\" size=4><b>" + vocabNode.getVocabName() + "</b></font></p>";

		text += "<br>";

		text += "<font face=\"sans-serif\" size=3><b>" + "Vocabulary ID:  " + "</b></font>" + vocabNode.getVocabID();

		text += "<br>";

		text += "<font face=\"sans-serif\" size=3><b>" + "Language:  " + "</b></font>" + vocabNode.getVocabLang();

		text += "<br>";

		text += "</body></html>";

*/

