package uk.ac.reload.metadata.vdexBrowser;

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;


public class VdexMetadataPanel extends JPanel {

	private JEditorPane editor;

	private JScrollPane scroll;

	// private String mimeType = "text/html";
	private String mimeType = "text/plain";

	private String metadata = "";

	private String[] mds;


	public VdexMetadataPanel(VdexVocabNode vocabNode) {

		super();

		setLayout(new BorderLayout());

		setBackground(Color.white);

		// metadata += "<html><head>";
		// metadata += "<style type=\"text/css\">";
		// metadata += "body { font-size: 10px; font-family: sans-serif; }";
		// metadata += "</style>";
		// metadata += "</head><body>";

		// metadata += vocabNode.getVocabMD();

		mds = vocabNode.getVocabMD();

		for(int i = 0; i < mds.length; i++) {

			metadata += mds[i] + "\n";
		}

		// metadata += "</body></html>";

		editor = new JEditorPane(mimeType, metadata);

		editor.setEditable(false);

		scroll = new JScrollPane(editor);

		add(scroll, BorderLayout.CENTER);
	}

}