
package uk.ac.reload.metadata.vdexBrowser;

import org.jdom.*;
import uk.ac.reload.widgets.tree.*;


/**
 * A Browser Tree Node that will display the hierarchical contents of an Vdex XML File.
 *
 * @author Tina Manoharan
 * @version 2002-09-11
 */
public class VdexTreeNode
extends ReloadTreeNode
{

	private Element element;

    /**
     * Constructor
     * @param userObject This will be an String
     */
    public VdexTreeNode(String nodeName, Element element) {

        super(nodeName);

        this.element = element;
    }

    public void setElement(Element element) {

		this.element = element;
	}

	public Element getElement() {

		return element;
	}

	public void setNodeName(String nodeName) {

		setUserObject(nodeName);
	}

	public String getNodeName() {

		return (String) getUserObject();
	}

}