/**
 * This class holds information about a Vdex VocabNode
 */

package uk.ac.reload.metadata.vdexBrowser;

import java.util.ArrayList;

public class VdexVocabNode
{
	private String vocabName;
	private String vocabID;
	private String vocabLang;
	// private String vocabMD;
	private ArrayList vocabMD;

	public VdexVocabNode() {

		this.vocabName = "Not available.";

		this.vocabID = "Not available.";

		this.vocabLang = "en";

		// this.vocabMD = "Vocabulary metadata not available.";

		this.vocabMD = new ArrayList();
	}

	public void setVocabName(String vocabName) {

		this.vocabName = vocabName;
	}

	public void setVocabID(String vocabID) {

		this.vocabID = vocabID;
	}

	public void setVocabLang(String vocabLang) {

		this.vocabLang = vocabLang;
	}

	public void setVocabMD(String vmd) {

		this.vocabMD.add(vmd);
	}

	public String getVocabName() {

		if(vocabName == null || vocabName.equals("")) vocabName = "Not available.";

		return vocabName;
	}

	public String getVocabID() {

		if(vocabID == null || vocabID.equals("")) vocabID = "Not available.";

		return vocabID;
	}

	public String getVocabLang() {

		if(vocabLang == null || vocabLang.equals("")) vocabLang = "en";

		return vocabLang;
	}

	/*
	public String getVocabMD() {

		if(vocabMD == null || vocabMD.equals("")) vocabMD = "Vocabulary metadata not available.";

		return vocabMD;
	}
	*/

	public String[] getVocabMD() {

		if(vocabMD.size()==0) vocabMD.add("Vocabulary metadata not available.");

		return (String[]) vocabMD.toArray(new String[vocabMD.size()]);
	}
}